Skip to Content
Kafka(UKafka)CreateUKafkaInstance

Create an instance - CreateUKafkaInstance

Overview

Create a ukafka instance

Definition

Public Parameters

Parameter NameTypeDescription InformationRequired
ActionstringCorresponding API command name, the current API is CreateUKafkaInstance.Yes
PublicKeystringThe user’s public key can be obtained from ConsoleYes
SignaturestringUser signature generated based on public key and API command, see Signature AlgorithmYes

Request Parameters

Parameter NameTypeDescription InformationRequired
RegionstringRegion. See List of Regions and Availability ZonesYes
ZonestringAvailability Zones. See List of Availability ZonesYes
ProjectIdstringProject ID. Leaving this field blank will default to the project ID; it is required for sub-accounts. Please refer to the GetProjectList APINo
FrameworkVersionstringThe supported Kafka versions can be obtained through the FrameworkVersions field returned by the ListUKafkaFrameworkVersion interface.Yes
VPCIdstringVPC IDYes
SubnetIdstringSubnet IDYes
ChargeTypestringPayment methodsYes
NodeTypestringThe supported machine models can be found by checking the InstanceTypeSet[].InstanceTypeName returned by the GetUKafkaNodeType interface.Yes
DiskSizeintData disk size. The supported range is obtained from the InstanceTypeSet[].MaxDiskSize and MinDiskSize returned by the GetUKafkaNodeType interface.Yes
InstanceNamestringInstance name, can be customizedYes
BusinessIdstringBusiness group, defaultNo
QuantitystringNumber of instances, default 1No
NodeCountintNumber of cluster nodes. Default: 3 nodes.No
LogRetentionHoursstringKafka log retention time, supported range [1, 240]. Default is 72 hours.No
DiskControllerTypestringDisk management mode, supported values: NONE, CLEAN. Default value: NONENo
DiskThresholdstringDisk cleanup threshold, supported range [70, 90]. Required if DiskControllerType is CLEAN. Default value: 90.No
IsSecurityEnabledstringWhether to enable the security group, supporting “true” or “false”, the default is false.No

Response Field

Field NameTypeDescription InformationRequired
RetCodeintReturn status code. If it is 0, it means successful return. If it is not 0, it means failure.Yes
ActionstringOperation command name.Yes
MessagestringReturns an error message, providing detailed description when RetCode is non-zero.No
InstanceIdstringInstance resource IDYes

Example

Request Example

https://api.ucloud-global.com/?Action=CreateUKafkaInstance &ProjectId=org-xts2j0 &Zone=cn-bj2-05 &Region=cn-bj2 &ClusterInstanceName=barfoo &LoginMode=Password &Framework=Kafka &Password=dW5kZWZpbmVk &FrameworkVersion=1.1.1 &ChargeType=Dynamic &Quantity=1 &InstanceGroupConfig=N1-large#3 &Tag=Default &SubnetId=subnet-xo4nvk &VPCId=uvnet-erxgwh &Concurrency=30 &ClusterConfigs.0=log.retention.hours#72 &ClusterConfigs.1=DiskThreshold#80 &ClusterConfigs.2=DiskControllerType#CLEAN &Action=CreateUKafkaInstance &_user=pan.ma%40ucloud.cn &_timestamp=1545630237660 &ClusterInstanceName=JazwZJAT &Quantity=RtALqSOr &ChargeType=xoPAsVKz &NodeType=BuJplpPu &NodeNum=szuCxYyA &SubnetId2=tYpxLNMB &VPCID2=WUEuEXCe &LogRetentionHours=lMlcaGNx &DiskControllerType=POJjFcOU &DiskSize=AdTgjJLD &DiskThreshold=NZHiwKFm &IsSecurityEnabled=qsHobWJf

Response Example

{ "Action": "CreateUKafkaInstanceResponse", "ClusterInstanceId": "ukafka-g5s1nd", "Message": "exoIIFmP", "RetCode": 0 }